debian-el (37.19.2) unstable; urgency=medium

  * Handle HTML encoding of mailto link in RFS template
    - The mailto link uses the HTML encoding and may result in an invalid
      URI because the encoded string starts with "&".
    - Perform an HTML decoding of the `mailto' string before calling
      browse-url-mail.
  * Drop `Rules-Requires-Root: no'
    - This has been the default since dpkg 1.22.13.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 27 Dec 2025 05:34:54 -0800

debian-el (37.19.1) unstable; urgency=medium

  * Ensure comment font lock takes precedence (Closes: #1102650)

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 11 Apr 2025 13:45:02 -0700

debian-el (37.19) unstable; urgency=medium

  * Upload to unstable

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 08 Apr 2025 11:00:23 -0700

debian-el (37.19~exp5) experimental; urgency=medium

  * Add preliminary texinfo documentation for apt-deb822-sources

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 07 Apr 2025 14:27:02 -0700

debian-el (37.19~exp4) experimental; urgency=medium

  * Add apt-deb822-sources info to package description
  * Enable autopkgtest-pkg-elpa in d/control
  * Add entry for apt-deb822-sources.el in d/copyright

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 07 Apr 2025 01:48:31 -0700

debian-el (37.19~exp3) experimental; urgency=medium

  * Add support for more deb822-style fields
  * Add support for Ubuntu suites and components

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 04 Apr 2025 18:09:57 -0700

debian-el (37.19~exp2) experimental; urgency=medium

  * Add preliminary support for deb822-style APT source files

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 03 Apr 2025 17:44:32 -0700

debian-el (37.19~exp1) experimental; urgency=medium

  * Bump version after release
  * Add `lexical-binding:nil' directives
    - Emacs 30.1 will warn if a file does not have a lexical-binding
      directive.
    - As we don't have good test coverage, it's safer to use the default
      dynamic binding for now.
  * Use run-mode-hooks instead of run-hooks
    - run-hooks may cause font lock issues since Emacs 30.1.
  * Drop old FSF address from d/copyright
  * Update Standards-Version to 4.7.2; no change needed

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 03 Apr 2025 11:26:32 -0700

debian-el (37.18) unstable; urgency=medium

  * Drop info handling from d/elpa
    - They are now handled by d/info
  * Drop obsolete d/elpa-debian-el.lintian-overrides
  * Change section from lisp to editors in d/control
  * Fix typo that breaks the :tag keyword in apt-utils.el
  * Add faceup ERT tests to test font lock in modes
    - Current covering apt-sources-mode.
  * Simple fix of URI regexp for URI with space
  * Drop transitional package debian-el
    - This has existed in the past 3 releases at least.
    - Rename {,elpa-}debian-el.maintscript to keep its function.

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 08 Jan 2025 13:15:16 -0800

debian-el (37.17) unstable; urgency=medium

  * Rework info page handling
    - Remove install-info from Build-Depends and stop invoking it in
      d/rules as per policy 12.2.
    - Use d/info to include generated info pages to let dh_installinfo
      handle them.
  * Add info documentation for debian-bug-request-for-sponsor
  * Add a prompt for including configuration files (Closes: #808384)
    - Prompt user to choose whether to include configuration file contents
      to the bug report.
    - Also add a help window to inform user to check and remove any
      sensitive information included in the mail template.
  * Always create a new buffer for bug script
    - Previous runs of bug script may left an non-empty buffer buried
      which is read-only and cannot be reused.
    - Kill any existing bug-script-buffer and create a new one on
      subsequent runs.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 25 Oct 2024 23:37:59 -0700

debian-el (37.16) unstable; urgency=medium

  * Add missing version parameter for debian-bug-script-sentinel
    (Closes: #1075767)
  * Add option to enable signature for debian-bug-request-for-sponsor
    - Sometimes people may have their mail clients set up to have a
      signature, so automatically adding a signature results in multiple
      signatures and may not be desirable.
    - Add an option `debian-bug-request-for-sponsor-add-signature' to
      conditionally enable adding a signature and off by default.

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 29 Aug 2024 01:15:28 -0700

debian-el (37.15) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 17:55:02 +0900

debian-el (37.14) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:43:05 +0900

debian-el (37.13) unstable; urgency=medium

  * Add Homepage in d/control
  * Add Source in d/copyright
  * Implement debian-bug-request-for-sponsor (Closes: #1072787)
  * Add prompt for version when reporting bugs (Closes: #529611)

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 14 Jun 2024 00:43:37 -0700

debian-el (37.12) unstable; urgency=medium

  * Bring back debian-autoloads.el (Closes: #1067902)
  * Fix comp warnings in debian-bug.el (Closes: #1067922)
  * Update distribution code names to recent releases
  * Append non-free-firmware to non-free when handling components
  * Move package info above copyright notice following existing practices
  * Bump package version to prepare for release
  * Make ITP/RFP template more aligned with reportbug
    - Move `Severity' above `Owner' in headers
    - Add `Programming lang' after `License' in email template
  * Update Standards-Version to 4.7.0; no change needed
  * Fix duplicates and broken entries in X-Debbugs-Cc (Closes: #1069908)
    - Stop passing "--list-cc=none" to reportbug
    - Unset $HOME to prevent reportbug from loading ~/.reportbugrc
  * Add zstd to depends of elpa-debian-el in debian/control
  * Add deb-view support for zstd compressed deb files (Closes: #1032662)

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 19 May 2024 02:44:17 -0700

debian-el (37.11) unstable; urgency=medium

  [ Salman Mohammadi ]
  * apt-utils.el: fix broken example, replace emacs21 with emacs

  [ Nicholas D Steeves ]
  * Drop emacs25 from Enhances (package does not exist in bullseye).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + elpa-debian-el: Drop versioned constraint on dpkg and reportbug in
      Depends.
    + elpa-debian-el: Drop versioned constraint on emacs in Recommends.

  [ Hermógenes Oliveira ]
  * Make apt-utils-search honour apt-utils-use-current-window.

  [ Łukasz Stelmach ]
  * debian-bug.el: Highlight Control: pseudo-header

  [ Fabrice Bauzac ]
  * Fix Emacs 28.2 warnings about beginning/end-of-buffer.
    + {beginning,end}-of-buffer functions are for interactive use only.
  * Fix warning about save-excursion+set-buffer.
  * Fix warning about next-line.
  * Fix warning about mapcar's unused return value.
  * Fix byte-compilation warning about dired-load-hook.

  [ Xiyue Deng ]
  * Documentation fixes.
    + Fix typos.
    + Revise some wording.
    + Stop using obsoleted versioned emacs21 in examples.
  * Handle process error more gracefully (Closes: #1050685).
  * Run term-exec without hooks to be more robust.
  * Resolve comp warnings (Closes: #1024695, #1034734, #1037179, #1051478).
    + Drop usage of obsolete easy-menu-{add,remove} functions.
    + Fix warning on docstring has wrong usage of unescaped single quotes.
    + Fix warnings on undefined variables and functions.
    + Fix byte-compilation warning about dired-load-hook.
    + Use eval-and-compile to avoid unused variable warnings.
    + Use toplevel require for general dependencies.
    + Use eval-and-compile for non-toplevel requires.
    + Use make-local-variable as necessary.
    + Replace usage of some now-obsolete symbols.
  * Fix some trailing whitespace & untabify.
  * Change default deb-find-directory to "/var/cache/apt/archives".
  * Fix install status detection of "Multi-Arch:same" packages
    (Closes: #664083).
  * Update Standards-Version to 4.6.2.  No change needed.
  * Use https URI in d/copyright.
  * Add lintian override for info page outside of /usr/share/doc.
  * Migrate to debhelper-compat version 13.
  * Add "Rules-Requires-Root: no" in d/control.
  * Update year in d/copyright.
  * Add team as Upstream-Contact in d/copyright.
  * Use dh_elpa to handle *-{autoloads,pkg}.el generation.
    + Add package info comments to debian-el.el.
    + Drop debian-autoloads.el and debian-el-pkg.el in favor of dh_elpa
      generated ones.
  * Add a dummy test to force byte-compiling addons to help detect issues.
  * Add myself to Uploaders.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Mar 2024 10:13:38 +0800

debian-el (37.10) unstable; urgency=medium

  [ Lev Lamberov ]
  * debian-bug.el: Add missing release tags

  [ David Bremner ]
  * Drop obsolete link in apt-utils.el (Closes: #971802).
  * Re-encode apt-sources.el in utf8

 -- David Bremner <bremner@debian.org>  Sun, 11 Oct 2020 12:44:21 -0300

debian-el (37.9) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sat, 24 Aug 2019 16:03:02 -0300

debian-el (37.8) unstable; urgency=medium

  * Do not use shell in call-process (Closes: #905308).
  * Use view mode for files from INFO buffer (Closes: #623684).

 -- David Bremner <bremner@debian.org>  Sat, 20 Oct 2018 12:13:04 -0300

debian-el (37.7) unstable; urgency=medium

  * Formatting fixes from Jonas Bernoulli
  * Drop conditional require of view.el, also from Jonas.
  * Bug fix: "preseed.el buffer local comment-start", thanks to Kevin Ryde
    (Closes: #710334).

 -- David Bremner <bremner@debian.org>  Fri, 19 Oct 2018 08:25:02 -0300

debian-el (37.6) unstable; urgency=medium

  * Require debian-el.el at startup (Closes: #905364)

 -- David Bremner <bremner@debian.org>  Sat, 04 Aug 2018 15:30:42 -0400

debian-el (37.5) unstable; urgency=medium

  * Upload to unstable

 -- David Bremner <bremner@debian.org>  Sun, 29 Jul 2018 06:06:26 +0800

debian-el (37.4) experimental; urgency=medium

  * Add missing depends on xz-utils; this was previously a Pre-Depends
    when this package was built from emacs-goodies-el but it doesn't need
    to be anymore.
  * Update documentation for deb-view to note dependence on dpkg-deb

 -- David Bremner <bremner@debian.org>  Sun, 01 Jul 2018 06:37:19 -0300

debian-el (37.3) experimental; urgency=medium

  * Don't byte compile gnus-BTS.el (Closes: #902785).
  * Drop require of obsolete debian-el-loaddefs.el from gnus-BTS.el
  * Re-apply patches for gnus-BTS.el from emacs-goodies-el
  * Use dpkg-deb's --ctrl-tarfile option to extract the control archive
    (Closes: #878868).  Depend on dpkg (>= 1.17.14) for that feature.
  * Copy most of the dependencies back from emacs-goodies-el. Omit "file"
    for now; let me know if this breaks something.

 -- David Bremner <bremner@debian.org>  Sat, 30 Jun 2018 22:50:06 -0300

debian-el (37.2) experimental; urgency=medium

  * Update debian/copyright for split package.

 -- David Bremner <bremner@debian.org>  Fri, 29 Jun 2018 13:25:21 -0300

debian-el (37.1) experimental; urgency=medium

  * Set maintainer to debian-emacsen@lists.debian.org
  * Add Vcs-* headers.

 -- David Bremner <bremner@debian.org>  Sun, 24 Jun 2018 09:49:14 -0300

debian-el (37.0) experimental; urgency=medium

  * Adopting emacs-goodies-el to the emacsen-team, see
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=901157#20
  * Split from emacs-goodies-el source (36.4), and dh-elpafied.

 -- David Bremner <bremner@debian.org>  Sun, 24 Jun 2018 08:11:25 -0300
